org.springframework.ldap.odm.tools

## Class AttributeSchema

- java.lang.Object
- - org.springframework.ldap.odm.tools.AttributeSchema

-     public final class AttributeSchema
      extends Object

  Simple value class to hold the schema of an attribute.

  It is only public to allow Freemarker access.

  Author:
    Paul Harvey <paul.at.pauls-place.me.uk>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeSchema(String name, String syntax, boolean isMultiValued, boolean isPrimitive, boolean isBinary, boolean isArray, String scalarType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `boolean` | `getIsArray()`
    `boolean` | `getIsBinary()`
    `boolean` | `getIsMultiValued()`
    `boolean` | `getIsPrimitive()`
    `String` | `getJavaName()`
    `String` | `getName()`
    `String` | `getScalarType()`
    `String` | `getSyntax()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeSchema

          public AttributeSchema(String name,
                                 String syntax,
                                 boolean isMultiValued,
                                 boolean isPrimitive,
                                 boolean isBinary,
                                 boolean isArray,
                                 String scalarType)

  - ### Method Detail

    - #### getIsArray

          public boolean getIsArray()

    - #### getIsBinary

          public boolean getIsBinary()

    - #### getIsPrimitive

          public boolean getIsPrimitive()

    - #### getScalarType

          public String getScalarType()

    - #### getName

          public String getName()

    - #### getJavaName

          public String getJavaName()

    - #### getSyntax

          public String getSyntax()

    - #### getIsMultiValued

          public boolean getIsMultiValued()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`